Subject: Re: [PATCH 2/2] checkout: introduce "--to-branch" option

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Dec 2021 13:36:40 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I don't see how it's fundimentally different than the DWIM logic of
> taking "<name>" and seeing that there's only one "refs/heads/<name>",
> and giving up in other cases where we get ambiguous reference names that
> we can't resolve.

In that example, once you obtained a local branch whose name is
<name>, it is obvious how you would work with that.  Your next "git
checkout <name>" would work on the local one, and only the initial
one does something magical.

Which makes quite a lot of sense.

There is no similarity in it with "--to-branch <tag>" that is being
discussed here.